/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.broad.igv.preprocess;

/**
 *
 * @author jrobinso
 */
public class Alignment {
    private String chr;
    private int start;
    private int end;
    private boolean isNegative;
    
    private int mappingQuality = 255;
    private boolean duplicate = false;
    

    public Alignment(String chr, int start, int end, boolean isNegative) {
        this.chr = chr;
        this.start = start;
        this.end = end;
        this.isNegative = isNegative;
    }

    /**
     * @return the chr
     */
    public String getChr() {
        return chr;
    }

    /**
     * @return the start
     */
    public int getStart() {
        return start;
    }

    /**
     * @return the end
     */
    public int getEnd() {
        return end;
    }

    /**
     * @return the isNegative
     */
    public boolean isIsNegative() {
        return isNegative;
    }

    public int getMappingQuality() {
        return mappingQuality;
    }

    public void setMappingQuality(int mappingQuality) {
        this.mappingQuality = mappingQuality;
    }

    public boolean isDuplicate() {
        return duplicate;
    }

    public void setDuplicate(boolean duplicate) {
        this.duplicate = duplicate;
    }

    

}
